import { PluginConfig, Span } from '@opentelemetry/api';
import { ProduceRequest, Message } from 'kafka-node';

export interface KafkaProducerCustomAttributeFunction {
    (span: Span, producerRequest: ProduceRequest, message: any): void;
}

export interface KafkaConsumerCustomAttributeFunction {
    (span: Span, message: Message): void;
}

export interface KafkaNodePluginConfig extends PluginConfig {

    /** hook for adding custom attributes before producer message is sent */
    producerHook?: KafkaProducerCustomAttributeFunction;

    /** hook for adding custom attributes before consumer message is processed */
    consumerHook?: KafkaConsumerCustomAttributeFunction;

}
  