import { Status, CanonicalCode } from '@opentelemetry/api';

export const parseResponseStatus = (error: any, data: any): Status => {

    if(!error) {
        return {
            code: CanonicalCode.OK,
            message: 'OK'
        };
    }

    // currently returning 'Unknown Error' for all cases.
    // can be improved by examining the `error` and setting `code` accordingly
    return {
        code: CanonicalCode.UNKNOWN,
        message: error.message
    }
}
